<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Vm\Pages;

use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\TabsWidget\TabsWidget;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Snapshot\Pages\SnapshotDataTable;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Snapshot\Pages\JobRawDataTable;

class SnapshotTab extends TabsWidget implements ClientArea
{
    protected $id   = 'snapshotTab';
    protected $name = 'snapshotTabName';
    protected $title = 'snapshotTabTitle';


    public function initContent()
    {
        $this->unsetShowTitle();
        $this->addElement(new SnapshotDataTable());
        $this->addElement(new JobRawDataTable());

    }
}